Subject: Re: linux-next: manual merge of the jc_docs tree with the vfs and net-next trees

From: Jonathan Corbet <[email-masked]>
Date: Mon, 18 May 2020 06:22:53 -0600

On Mon, 18 May 2020 12:30:13 +1000
Stephen Rothwell <[email-masked]> wrote:

> Today's linux-next merge of the jc_docs tree got a conflict in:
> 
>   kernel/sysctl.c
> 
> between commit:
> 
>   f461d2dcd511 ("sysctl: avoid forward declarations")
> 
> from the vfs tree and commit:
> 
>   2f4c33063ad7 ("docs: sysctl/kernel: document ngroups_max")
> 
> from the jc_docs tree.

Hmm...that's somewhat messy.  I somehow managed to miss the change to
kernel/sysctl.c that doesn't have much to do with documentation.  Stephen
(Kitt): I've reverted that change for now.  Could I ask you to resubmit it
as two different patches?  I'll happily take the actual docs change; the
sysctl change can be sent to the VFS tree on top of the changes there.

In general we really don't want to mix unrelated changes like this.

Thanks,

jon